package flutter.guru.guru_applovin_flutter

import android.app.Activity
import android.content.Context
import com.applovin.sdk.AppLovinPrivacySettings
import com.applovin.sdk.AppLovinSdk
import com.applovin.sdk.AppLovinSdkUtils

class GuruApplovin {
    companion object {
        fun afterAcceptPrivacy(activity: Activity) {
            AppLovinPrivacySettings.setHasUserConsent(true, activity)
        }

        fun isTablet(activity: Activity): Boolean {
            return AppLovinSdkUtils.isTablet(activity)
        }

        fun showMediationDebugger(context: Context) {
            AppLovinSdk.getInstance(context).showMediationDebugger()
        }
    }
}